com.aspose.omr

## Class OmrConfig

- java.lang.Object
- - com.aspose.omr.OmrConfig

-     public class OmrConfig
      extends Object

  Configuration for OMR extraction algorithm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmrConfig()` Initializes a new instance of the `OmrConfig` class with default settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFillThreshold()` Gets the threshold percentage of black pixels in the area to consider it filled.
    `boolean` | `getTrimWhitePixels()` Gets a value indicating whether the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.
    `void` | `setFillThreshold(double value)` Sets the threshold percentage of black pixels in the area to consider it filled.
    `void` | `setTrimWhitePixels(boolean value)` Sets a value indicating whether the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OmrConfig

          public OmrConfig()

      Initializes a new instance of the `OmrConfig` class with default settings.

  - ### Method Detail

    - #### getFillThreshold

          public double getFillThreshold()

      Gets the threshold percentage of black pixels in the area to consider it filled. The value is in range [0;1], with 1 corresponding to 100% of pixels in area must be black to consider it filled.

      Returns:
        the threshold percentage of black pixels in the area to consider it filled.

    - #### getTrimWhitePixels

          public boolean getTrimWhitePixels()

      Gets a value indicating whether the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.

      Returns:
        a value indicating whether the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.

    - #### setFillThreshold

          public void setFillThreshold(double value)

      Sets the threshold percentage of black pixels in the area to consider it filled. The value is in range [0;1], with 1 corresponding to 100% of pixels in area must be black to consider it filled.

      Parameters:
        `value` - the threshold percentage of black pixels in the area to consider it filled.

    - #### setTrimWhitePixels

          public void setTrimWhitePixels(boolean value)

      Sets a value indicating whether the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.

      Parameters:
        `value` - `true` if a the area that contain an OMR mark should be reduced to minimum size that contain all black pixels.

Copyright © 2014. All rights reserved.